Bug 244371 - graphics/vigra: replace dependency from python 2.7 to default 3.7
Summary: graphics/vigra: replace dependency from python 2.7 to default 3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-24 15:50 UTC by VVD
Modified: 2020-06-01 17:13 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-02-24 15:50:25 UTC
graphics/vigra/Makefile:
-USES=           cmake compiler:c++14-lang python:2.7,run shebangfix
+USES=           cmake compiler:c++14-lang python:run shebangfix

Tested build on 12.1 amd64.
Comment 1 VVD 2020-05-30 12:31:32 UTC
- NUMPY_USES=             compiler:gcc-c++11-lib python:2.7,build
+ NUMPY_USES=             compiler:gcc-c++11-lib python:build
Comment 2 Rainer Hurling 2020-05-31 20:52:52 UTC
The change to Python 3.7 builds and installs fine. Vigra seems to work fine as a dependency of math/saga. I am looking forward to a commit ;)
Comment 3 VVD 2020-05-31 22:05:07 UTC
(In reply to Rainer Hurling from comment #2)
editors/libreoffice depends on vigra and build fine too.
Comment 4 Dima Panov freebsd_committer 2020-06-01 10:37:35 UTC
(In reply to Rainer Hurling from comment #2)
testing with py36/37/38 :) 
Looks good, no failures. 
Will commit tonight
Comment 5 commit-hook freebsd_committer 2020-06-01 17:10:27 UTC
A commit references this bug:

Author: fluffy
Date: Mon Jun  1 17:09:32 UTC 2020
New revision: 537494
URL: https://svnweb.freebsd.org/changeset/ports/537494

Log:
  graphics/vigra: get rid of hardcoded python2.7 dependency

  tested with python 3.6/3.7/3.8, no consumer issues detected

  PR:		244371
  Reported by:	VVD <vvd@unislabs.com>

Changes:
  head/graphics/vigra/Makefile
Comment 6 Dima Panov freebsd_committer 2020-06-01 17:13:10 UTC
Committed, thanks!